//
//  MembershipEditingInteractor.swift
//  SuperSpaManagement
//
//  Created by PHAM ANH TUAN on 3/21/21.
//  Copyright (c) 2021 ___ORGANIZATIONNAME___. All rights reserved.
//
//  This file was generated by the 🐍 VIPER generator
//

import Foundation
import RxSwift
import Resolver

protocol MembershipEditingInteractorInterface: InteractorInterface {
    func createMembership(_ membership: Membership) -> Single<Void>
    func updateMembership(_ membership: Membership) -> Single<Void>
}

final class MembershipEditingInteractor {
    @LazyInjected var membershipService: MembershipsServiceType
}

// MARK: - Extensions -

extension MembershipEditingInteractor: MembershipEditingInteractorInterface {
    func createMembership(_ membership: Membership) -> Single<Void> {
        return membershipService.create(membership)
    }
    
    func updateMembership(_ membership: Membership) -> Single<Void> {
        return membershipService.update(membership)
    }
}
